summaryrefslogtreecommitdiffstats
path: root/source/l/cairo/cairo.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-09-16 18:48:39 +0000
committer Eric Hameleers <alien@slackware.com>2023-09-16 21:29:07 +0200
commit1ca47371e62165c8d226a0f8b2b27e1aad28ff74 (patch)
treeec3516d3f55213101d8cb02f82786b67ce90c35c /source/l/cairo/cairo.SlackBuild
parent49400c361ad81bc9edb2f7598e82f4ecf035233b (diff)
downloadcurrent-1ca47371e62165c8d226a0f8b2b27e1aad28ff74.tar.gz
current-1ca47371e62165c8d226a0f8b2b27e1aad28ff74.tar.xz
Sat Sep 16 18:48:39 UTC 202320230916184839
ap/vim-9.0.1903-x86_64-1.txz: Upgraded. l/at-spi2-atk-2.38.0-x86_64-3.txz: Removed. l/at-spi2-core-2.50.0-x86_64-1.txz: Upgraded. This now includes the features from the former at-spi2-atk and atk packages. l/atk-2.38.0-x86_64-1.txz: Removed. l/cairo-1.17.6-x86_64-1.txz: Upgraded. l/glib-networking-2.78.0-x86_64-1.txz: Upgraded. l/gobject-introspection-1.78.1-x86_64-1.txz: Upgraded. l/json-glib-1.8.0-x86_64-1.txz: Upgraded. l/libsoup3-3.4.3-x86_64-1.txz: Upgraded. xap/vim-gvim-9.0.1903-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/cairo/cairo.SlackBuild')
-rwxr-xr-xsource/l/cairo/cairo.SlackBuild21
1 files changed, 17 insertions, 4 deletions
diff --git a/source/l/cairo/cairo.SlackBuild b/source/l/cairo/cairo.SlackBuild
index f07751eae..c3cd054e9 100755
--- a/source/l/cairo/cairo.SlackBuild
+++ b/source/l/cairo/cairo.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2015, 2016, 2018, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cairo
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -76,6 +76,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Recommended by BLFS for cairo-1.17.6 to "prevent errors later":
+if ! grep -q exec_prefix util/cairo-script/cairo-script-interpreter.pc.in ; then
+ sed -e "/@prefix@/a exec_prefix=@exec_prefix@" \
+ -i util/cairo-script/cairo-script-interpreter.pc.in
+fi
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -124,7 +130,7 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS BIBLIOGRAPHY BUGS CODING_STYLE COPYING* HACKING NEWS PORTING_GUIDE README RELEASING \
+ AUTHORS* BIBLIOGRAPHY* BUGS* ChangeLog CODING_STYLE* COPYING* HACKING* NEWS* PORTING_GUIDE* README* RELEASING* \
$PKG/usr/doc/$PKGNAM-$VERSION
( cd $PKG/usr/doc/$PKGNAM-$VERSION ; ln -sf /usr/share/gtk-doc/html/cairo html )
@@ -135,9 +141,16 @@ if [ -r NEWS ]; then
touch -r NEWS $DOCSDIR/NEWS
fi
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-